Knox Docs Sign in

API reference

Test mode. Use your secret key on your server; live processing is currently disabled.

https://api.knoxapi.com

Send form-encoded requests with Authorization: Bearer sk_test_....

Complete OpenAPI specification · Integration guide

Operations and schemas are based on the pinned Stripe OpenAPI specification (MIT). Nested object definitions and enums are available in the complete specification.

GET /v1/country_specs

List Country Specs

Lists all Country Spec objects available in the API.

Request parameters

ParameterLocationTypeDescription
ending_beforequerystringA cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.
expandqueryarray of stringSpecifies which fields in the response should be expanded.
limitqueryintegerA limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.
starting_afterquerystringA cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
data requiredarray of country_spec
has_more requiredbooleanTrue if this list has another page of items after this one that can be fetched.
object requiredstringString representing the object's type. Objects of the same type share the same value. Always has the value `list`.
url requiredstringThe URL where this list can be accessed.
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors
GET /v1/country_specs/{country}

Retrieve a Country Spec

Returns a Country Spec for a given Country code.

Request parameters

ParameterLocationTypeDescription
countrypathstring
expandqueryarray of stringSpecifies which fields in the response should be expanded.

object. See the OpenAPI specification for the complete schema.

Responses

HTTP 200: Successful response.
FieldTypeDescription
default_currency requiredstringThe default currency for this country. This applies to both payment methods and bank accounts.
id requiredstringUnique identifier for the object. Represented as the ISO country code for this country.
object requiredstringString representing the object's type. Objects of the same type share the same value.
supported_bank_account_currencies requiredobjectCurrencies that can be accepted in the specific country (for transfers).
supported_payment_currencies requiredarray of stringCurrencies that can be accepted in the specified country (for payments).
supported_payment_methods requiredarray of stringPayment methods available in the specified country. You may need to enable some payment methods (e.g., [ACH](https://stripe.com/docs/ach)) on your account before they appear in this list. The `stripe` payment method refers to [charging through your platform](https://stripe.com/docs/connect/destination-charges).
supported_transfer_countries requiredarray of stringCountries that can accept transfers from the specified country.
verification_fields requiredcountry_spec_verification_fields
HTTP default: Error response.
FieldTypeDescription
error requiredapi_errors